Bug 1274496 - Review Request: perl-SQL-Tokenizer - Simple SQL tokenizer
Review Request: perl-SQL-Tokenizer - Simple SQL tokenizer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 16:06 EDT by Emmanuel Seyman
Modified: 2015-11-08 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-SQL-Tokenizer-0.24-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 15:53:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2015-10-22 16:06:09 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-SQL-Tokenizer/perl-SQL-Tokenizer.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-SQL-Tokenizer/perl-SQL-Tokenizer-0.24-2.fc22.src.rpm

Description:
SQL::Tokenizer is a simple tokenizer for SQL queries. It does not claim to
be a parser or query verifier. It just creates sane tokens from a valid
SQL query.

Fedora Account System Username: eseyman
Comment 1 Upstream Release Monitoring 2015-10-23 09:13:21 EDT
jplesnik's scratch build of perl-SQL-Tokenizer-0.24-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11557792
Comment 2 Jitka Plesnikova 2015-10-23 09:31:05 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-SQL-Tokenizer-0.24-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.6.2
      1 perl(Exporter)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-SQL-Tokenizer-0.24-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(SQL::Tokenizer) = 0.24
      1 perl-SQL-Tokenizer = 0.24-2.fc24

Binary provides are Ok.

$ rpmlint ./perl-SQL-Tokenizer*
perl-SQL-Tokenizer.src: W: spelling-error %description -l en_US verifier -> versifier, verifies, verified
perl-SQL-Tokenizer.noarch: W: spelling-error %description -l en_US verifier -> versifier, verifies, verified
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Rpmlint is ok


BuildRequires
TODO: Constrain `perl(Test::Pod)' build-time dependency with `>= 1.14' (t/pod.t:5:)
FIX: Please add following build-requires:
- coreutils - perl-SQL-Tokenizer.spec:41
- findutils - perl-SQL-Tokenizer.spec:41
- make - perl-SQL-Tokenizer.spec:33

FIX: Please replace PERL_INSTALL_ROOT by DESTDIR


Please correct all 'FIX' issues and consider fixing 'TODO' item

Otherwise the package looks good.
APPROVED.
Comment 3 Emmanuel Seyman 2015-10-23 10:30:21 EDT
(In reply to Jitka Plesnikova from comment #2)
> 
> TODO: Constrain `perl(Test::Pod)' build-time dependency with `>= 1.14'

Done

> FIX: Please add following build-requires:
> - coreutils - perl-SQL-Tokenizer.spec:41
> - findutils - perl-SQL-Tokenizer.spec:41
> - make - perl-SQL-Tokenizer.spec:33

Done

> FIX: Please replace PERL_INSTALL_ROOT by DESTDIR

Done

Spec URL: http://people.parinux.org/~seyman/fedora/perl-SQL-Tokenizer/perl-SQL-Tokenizer.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-SQL-Tokenizer/perl-SQL-Tokenizer-0.24-3.fc22.src.rpm

> Otherwise the package looks good.
> APPROVED.

Thank you, Jitka.
I've requested the repo.
Comment 4 Fedora Update System 2015-10-26 05:01:36 EDT
perl-SQL-Tokenizer-0.24-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a3fda4976d
Comment 5 Fedora Update System 2015-10-26 22:18:29 EDT
perl-SQL-Tokenizer-0.24-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-SQL-Tokenizer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a3fda4976d
Comment 6 Fedora Update System 2015-10-28 16:25:51 EDT
perl-SQL-Tokenizer-0.24-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-SQL-Tokenizer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fc3f21765e
Comment 7 Fedora Update System 2015-11-04 15:53:07 EST
perl-SQL-Tokenizer-0.24-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-08 19:51:03 EST
perl-SQL-Tokenizer-0.24-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.